This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 459983 - Review Request: moe - A powerful clean text editor
Review Request: moe - A powerful clean text editor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
: 459982 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-25 10:02 EDT by Vivek Shah
Modified: 2008-10-15 22:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-25 09:30:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
debarshir: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vivek Shah 2008-08-25 10:02:00 EDT
Spec URL: http://bonii.fedorapeople.org/spec/moe.spec
SRPM URL: http://bonii.fedorapeople.org/srpms/moe-1.0-1.fc8.src.rpm
Description: 
GNU Moe is a powerful, 8-bit clean, text editor for ISO-8859 and ASCII 
character encodings. It has a modeless, user-friendly interface, online 
help, multiple windows, unlimited undo/redo capability, unlimited line 
length, global search/replace (on all buffers at once), block operations, 
automatic indentation, word wrapping, filename completion, directory 
browser, duplicate removal from prompt histories, delimiter matching, etc.
Comment 1 manuel wolfshant 2008-08-25 10:07:01 EDT
*** Bug 459982 has been marked as a duplicate of this bug. ***
Comment 2 Debarshi Ray 2008-09-06 13:19:29 EDT
MUST Items: 

OK - rpmlint is clean
OK - follows Naming Guidelines
OK - spec file is named as %{name}.spec

xx - package does not meet Packaging Guidelines
    + Although this is not explicitly mentioned in the guidelines, you need to
      do 'rm -f $RPM_BUILD_ROOT%{_infodir}/dir' after running
      'make install ...' in the %install stanza to avoid overwriting it while
      installing the package.
    + To preserve timestamps you could consider using:
      make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
    + The upstream tarball contains an online manual page: doc/moe.1. You
      might consider shipping it. If you do so, then please use 'install -p'
      to install it so that the timestamps are preserved.
    + It is a good idea not to explicitly specify the extension added by the
      compression scheme to the info and manual pages. Using a wildcard will
      let the package build if no compression is used or the extension is
      changed.

OK - Fedora approved license and meets Licensing Guidelines
OK - License field meets actual license
OK - upstream license file included in %doc
OK - spec file uses American English
OK - spec file is legible
OK - sources match upstream sources

xx - package fails to build successfully
    + Incorrect build dependencies and unpackaged %{_infodir}/dir file, which
      should be removed.

OK - ExcludeArch not needed

xx - build dependencies incorrectly listed
    + Missing 'BuildRequires: ncurses-devel'.

OK - no locales
OK - no shared libraries
OK - package is not relocatable
OK - file and directory ownership
OK - no duplicates in %file
OK - file permissions set properly
OK - %clean present
OK - macros used consistently
OK - contains code and permissable content
OK - -doc is not needed
OK - contents of %doc does not affect the runtime
OK - no header files
OK - no static libraries
OK - no pkgconfig files
OK - no library files
OK - -devel is not needed
OK - no libtool archives
OK - %{name}.desktop file not needed
OK - does not own files or directories owned by other packages
OK - buildroot correctly prepped
OK - all file names valid UTF-8

SHOULD Items:

OK - upstream provides license text
xx - no translations for description and summary

xx - package fails to build in mock successfully
    + Incorrect build dependencies and unpackaged %{_infodir}/dir file, which
      should be removed.

OK - package builds on all supported architectures
OK - package functions as expected
OK - scriptlets are sane
OK - subpackages are not needed
OK - no pkgconfig files
OK - no file dependencies
Comment 3 Vivek Shah 2008-09-11 10:42:45 EDT
Thanks for the comments and the suggestions. I have updated the package accordingly to remove any blockers. Here are the URLs

Spec URL: http://bonii.fedorapeople.org/spec/moe.spec
SRPM URL: http://bonii.fedorapeople.org/srpms/moe-1.0-2.fc9.src.rpm
Comment 4 Debarshi Ray 2008-09-15 00:05:50 EDT
You could have used %{name} in the following line since you have used it so frequently elsewhere:
"%{__install} -p -m 644 ./doc/moe.1 $RPM_BUILD_ROOT%{_mandir}/man1/"

+---------------------------------+
| This package is APPROVED by me. |
+---------------------------------+
Comment 5 Vivek Shah 2008-09-15 00:48:40 EDT
Thanks for the review Debarshi.

New Package CVS Request
=======================
Package Name: moe
Short Description: A powerful clean text editor
Owners: bonii
Branches: F-8 F-9 
InitialCC:
Comment 6 Huzaifa S. Sidhpurwala 2008-09-15 05:31:25 EDT
cvs done
Comment 7 Fedora Update System 2008-09-25 09:26:38 EDT
moe-1.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/moe-1.0-2.fc9
Comment 8 Fedora Update System 2008-09-25 09:26:42 EDT
moe-1.0-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/moe-1.0-2.fc8
Comment 9 Vivek Shah 2008-09-25 09:30:40 EDT
This package has been built and submitted as an update in Bodhi.
Comment 10 Fedora Update System 2008-10-15 22:04:26 EDT
moe-1.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-10-15 22:05:00 EDT
moe-1.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.